#
# <konic-clear.cl>
#
# IRAF batch script to remove all temporal files and directories.
#
#                            2008.09.30.  Ver.0.0 Earliest version. 
#
# This IRAF batch script can remove all temporal files and directories 
# to be analyse KONIC images. 
# This remove all ___*.* files, and "DSU", "DSL", "DS", "NM", "FFU", 
# "FFL", "FF", "SSU", "SSL", "SS", "MAG" directories.
#
# [USAGE] cl < konic-clear.cl[RET]
#
# 0. Removing all temporal "___*.*" files.
#
!\rm ___*.*
#
# 1.0 Removing all temporal directories. 
#
!\rm -fr DSU
!\rm -fr DSL
!\rm -fr DS
!\rm -fr NM
!\rm -fr FFU
!\rm -fr FFL
!\rm -fr FF
!\rm -fr SSU
!\rm -fr SSL
!\rm -fr SS
!\rm -fr MAG
#
!echo All temporal files and directories were removed !!
#
# End script.
#
#          Shingo Nishiura
#            Department of Astronomy and Earth Sciences, 
#                              Tokyo Gakugei University
#          e-mail: nishiura@u-gakugei.ac.jp
# 
