#!/bin/tcsh
#
# <konic-dssep.cl>
#
# IRAF batch script for removing pre- and over-scan regions of KONIC data.
#
#                            2008.09.29.  Ver.0.0 Earliest version. 
#
# This IRAF batch-script can separate dark-subtracted object-frames to 
# upper-half and lower-half images with removing pre- and over-scan 
# regions.
# All dark-subtracted images(ds******.fits) should be located on "DS" 
# directory, and this directory should be put on current directory.    
# Separated images will output in "DSU" and in "DSL" directory with 
# naming "ds*****U.fits" and "ds*****L.fits", respectively.
#
# [USAGE] cl < konic-dssep.cl[RET]
#
# 0. Removing all temporal "___*.*" files.
#
!\rm -rf ___*.*
!mkdir DSU
!mkdir DSL
#
# 1.0 Making dark-subtracted image list.
#
!ls -1 DS/ds*.fits > ___konic-ds.lst
#
# 1.1 Copying lower-half images
#
!awk '{print "imcopy "$1"[1:1040,2:261] DSL/"substr($1,4,8)"L.fits"}' ___konic-ds.lst > ___kir01.cl
cl < ___kir01.cl
#
# 1.2 Copying upper-half images 
#
!awk '{print "imcopy "$1"[1:1040,264:523] DSU/"substr($1,4,8)"U.fits"}' ___konic-ds.lst > ___kir02.cl
cl < ___kir02.cl
#
# 1.3 Removing all temporal "___*.*" files.
#
#!\rm -rf ___*.*
#
!echo KONIC data separating have been finished !
#
# End script.
#
#          Shingo Nishiura
#            Department of Astronomy and Earth Sciences, 
#                              Tokyo Gakugei University
#          e-mail: nishiura@u-gakugei.ac.jp
# 
