#!/bin/tcsh
#
# <konic-magni.cl>
#
# IRAF batch script to magnify sky-subtracted and combined images. 
#
#                            2008.09.30.  Ver.0.0 Earliest version. 
#
# This IRAF batch-script can magnify sky-subtracted and combined images. 
# All sky-subtracetd images should be located in "SS" directory. 
# Magnified images (mag******.fits) will output in "MAG" directory.
#
# [USAGE] cl < konic-dssep.cl[RET]
#
# 0. Removing all temporal "___*.*" files.
#
!\rm -rf ___*.*
!mkdir MAG
#
# 1.0 Making sky-subtracted and combined image list.
#
!ls -1 SS/ss*.fits > ___konic-ss.lst
#
# 1.1 Making magnified image list.
#
!awk '{print "MAG/mag"substr($1,6)}' ___konic-ss.lst > ___konic-mag.lst
#
# 1.2 Magnifying. 
#
magnify input=@___konic-ss.lst output=@___konic-mag.lst xmag=1 ymag=2 fluxcon=yes
#
# 1.3 Removing all temporal "___*.*" files.
#
#!\rm -rf ___*.*
#
!echo KONIC data magnifying have been finished !
#
# End script.
#
#          Shingo Nishiura
#            Department of Astronomy and Earth Sciences, 
#                              Tokyo Gakugei University
#          e-mail: nishiura@u-gakugei.ac.jp
# 
